Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andrea Corallo <[email-masked]>
Date: Tue, 09 Mar 2021 15:38:54 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Tue, 09 Mar 2021 08:35:03 +0000
>> 
>> > Anything you'd like me to try to find out in the next session,
>> > assuming I'll be able to reproduce this assertion violation?
>> 
>> I think at this point the best is to recompile using the latest state of
>> the branch with installed the two patches by Pip and see if you still
>> see the issue (probably no).
>
> I've now built the latest branch.  It still crashes, in the same
> place, although with different Lisp files.  I'm looking into this,
> will post the details.

Thinking about, you might have stale eln files reachable in the
`comp-eln-load-path' generated with the bug fixed by 380ba045c4.

We should have probably bumped a new `comp-abi-hash' contextually with
the fix, as I'm not sure if the merge bumped a new `comp-abi-hash' I did
it now manually with 79c83f79c5 to be on the safe side.

Thanks

  Andrea